import { Tree } from './tree';
export interface PageMeta {
    name: string;
    specifier: string;
    path: string;
    pathSegments: string[];
    component: string | null;
    routeMeta?: any;
}
export interface File {
    path: string;
    type: 'directory' | 'file';
}
export declare type FileTree = Tree<File>;
export declare type PageMetaTree = Tree<PageMeta>;
export declare function resolveRoutePaths(tree: FileTree, importPrefix: string, readFile: (path: string) => string): Tree<PageMeta>;
