export declare type Tree<T> = {
    value: T;
    children?: Tree<T>[];
};
declare type ForEachFunction<T> = (node: T) => void;
export declare function forEach<T = any>(tree: Tree<T>, fn: ForEachFunction<T>): Tree<T>;
declare type MapFunction<T, U> = (value: T, children?: Tree<T>[]) => U;
export declare function map<T = any, U = any>(tree: Tree<T>, fn: MapFunction<T, U>): Tree<U>;
export declare function flatten<T>(tree: Tree<T>): T[];
export declare function flatMap<T = any, U = any>(tree: Tree<T>, fn: MapFunction<T, U>): U[];
export {};
